//Fortran: EQUIVALENCE ( ... )
Unit AMZ0C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure AMZ0C(var A :Array of Complex; N :Integer;
                var B :Array of Complex);

implementation

procedure AMZ0C(var A :Array of Complex; N :Integer;
                var B :Array of Complex);
var
I,IM1,K,J :Integer;
W :Complex;
T :Array [0..1] of Real;
label
_1,_2,_3;
begin
K := 1;
for I:=1 to N do
 begin
  IM1 := I-1;
  if ( I = 1 ) 
   then goto _2;
  for J:=1 to IM1 do
   begin
    B[K-1] := Conjg(A[(J-1)+(I-1)*N]);
    K := K+1;
_1:
   end;
_2:
  W := A[(I-1)+(I-1)*N];
  T[0] := W.re;  //  EQUIVALENCE
  T[1] := W.im;  //  EQUIVALENCE 
  B[K-1] := Cmplx(T[0],0.0);
  K := K+1;
_3:
 end;
end;

end.
